: Class InvalidStoreClassException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.store
Class InvalidStoreClassException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.w3c.tools.resources.store.InvalidStoreClassException

public class InvalidStoreClassException
extends java.lang.Exception

A store is being loaded by a class who didn't write it.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `loader` The class willing to load that store.
`protected java.lang.String` | `saver` The class willing to unload that store.

Constructor Summary
`InvalidStoreClassException(java.lang.String loadingcls, java.lang.String expectedcls)`

Method Summary
`java.lang.String` | `getLoaderClassName()` Get the loader's class name.
`java.lang.String` | `getSaverClassName()` Get the saver's class name.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### loader

    protected java.lang.String loader

  The class willing to load that store.

### saver

    protected java.lang.String saver

  The class willing to unload that store.

Constructor Detail

### InvalidStoreClassException

    public InvalidStoreClassException(java.lang.String loadingcls,
                                      java.lang.String expectedcls)

Method Detail

### getLoaderClassName

    public java.lang.String getLoaderClassName()

  Get the loader's class name.
  Returns:
    A String giving the full name of the loader's class.

### getSaverClassName

    public java.lang.String getSaverClassName()

  Get the saver's class name.
  Returns:
    A String giving the full name of the saver's class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD